View Issue Details

IDProjectCategoryView StatusLast Update
0031330LazarusLCLpublic2017-02-04 14:00
ReporterCudaText manAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionProduct Build 
Target Version1.6.4Fixed in Version1.6.4 
Summary0031330: TProgressBar.Font, .ParentFont not published
DescriptionFont is used, e.g. gtk2 screenshot, if Smooth=true
TagsNo tags attached.
Fixed in Revisionr54086
LazTarget1.6.4
Widgetset
Attached Files

Activities

CudaText man

2017-02-01 17:03

reporter  

progr-bar-font.png (7,451 bytes)
progr-bar-font.png (7,451 bytes)

CudaText man

2017-02-01 17:04

reporter  

progr-bar-font2.png (4,014 bytes)
progr-bar-font2.png (4,014 bytes)

Bart Broersma

2017-02-01 17:16

developer   ~0097885

Can you attach patch?
(Question applies for the other issues you posted about non published properties as well)

CudaText man

2017-02-01 20:34

reporter   ~0097891

Bart, currently busy, maybe later..

Bart Broersma

2017-02-03 10:30

developer   ~0097941

I'm a bit confused.
Standard TProgressBar does not display Text AFAIK.
So publishing Font and ParentFont makes no sense to me.
Delphi 7 also does not publish them.

CudaText man

2017-02-03 13:26

reporter   ~0097944

"standard TProgressbar"??

Gtk2 progressbar- uses Font (if i set it in runtime).
Picture with it- above.

CudaText man

2017-02-03 13:29

reporter   ~0097945

And, for arguing: TProgressBar.BarShowText: bool- added not by me.

Issue History

Date Modified Username Field Change
2017-02-01 17:03 CudaText man New Issue
2017-02-01 17:03 CudaText man File Added: progr-bar-font.png
2017-02-01 17:04 CudaText man File Added: progr-bar-font2.png
2017-02-01 17:16 Bart Broersma Note Added: 0097885
2017-02-01 17:16 Bart Broersma LazTarget => -
2017-02-01 17:16 Bart Broersma Status new => feedback
2017-02-01 20:34 CudaText man Note Added: 0097891
2017-02-01 20:34 CudaText man Status feedback => new
2017-02-03 10:30 Bart Broersma Note Added: 0097941
2017-02-03 10:30 Bart Broersma Assigned To => Bart Broersma
2017-02-03 10:30 Bart Broersma Status new => feedback
2017-02-03 13:26 CudaText man Note Added: 0097944
2017-02-03 13:26 CudaText man Status feedback => assigned
2017-02-03 13:29 CudaText man Note Added: 0097945
2017-02-04 14:00 Bart Broersma Fixed in Revision => r54086
2017-02-04 14:00 Bart Broersma LazTarget - => 1.6.4
2017-02-04 14:00 Bart Broersma Status assigned => resolved
2017-02-04 14:00 Bart Broersma Fixed in Version => 1.6.4
2017-02-04 14:00 Bart Broersma Resolution open => fixed
2017-02-04 14:00 Bart Broersma Target Version => 1.6.4